<?php

/**
 * Recursively delete a directory
 *
 * @param string $dir Directory name
 * credits to http://ch.php.net/manual/en/function.unlink.php#87045
 */
function unlinkRecursive($dir){
    if(!$dh = @opendir($dir)){
        return;
    }
    while (false !== ($obj = readdir($dh))) {
        if($obj == '.' || $obj == '..') {
            continue;
        }

        if (!@unlink($dir . '/' . $obj)){
            unlinkRecursive($dir.'/'.$obj, true);
        }
    }

    closedir($dh);

    return;
} 

/**
 * Recursively scan a directory
 *
 * @param string $dir Directory name
 * credits to http://ch2.php.net/manual/en/function.is-dir.php#85961
 */

function isEmptyDir($dir){
     return (($files = @scandir($dir)) && count($files) <= 3);
} 

/**
 * Remove an html link
 * @param string $toremove Data wherefrom remove every html link
 */

function imdblt_remove_link ($toremove) {
	$toremove = preg_replace("/<a(.*?)>/", "", $toremove);
	return $toremove;
}

/**
 * Convert an imdb link to an internal popup link
 * @param string $convert Link to convert into popup highslide link
 */

function imdblt_convert_into_popup ($convert) {
	global $imdb_admin_values;

	$result = "<a class=\"link-imdb2 highslide\" onclick=\"return hs.htmlExpand(this, { objectType: 'iframe', width: " . $imdb_admin_values[popupLarg]. ", objectWidth: ". $imdb_admin_values[popupLarg].", objectHeight: ". $imdb_admin_values[popupLong]. ", headingEval: 'this.a.innerHTML', wrapperClassName: 'titlebar', src: '" . $imdb_admin_values[imdbplugindirectory] . "inc/popup-imdb_person.php?mid=" . "\${6}\${8}" . "' } )\" title=\"". __('open a new window with IMDb informations', 'imdb'). '" href="#" >';

	$convert = preg_replace("~(<a )((href=)(.*?))(nm)([[:alnum:]])((.*?)/\">)~", "$result", $convert);

	return $convert;
}


/**
 * Personal signature
 *
 */

function imdblt_admin_signature(){ ?>
	<div class="soustitre">
	<table class="options">
		
		<tr>
			<td><div class="explain"><?php _e('<strong>Licensing Info:</strong> Under the GPL licence, "IMDb link transformer" is based on <a href="http://www.izzysoft.de">imdbphp project</a> classes. However, a huge customization work has been required to implement it to wordpress; check support page for', 'imdb'); ?> <a href="?page=imdblt_options&subsection=help&helpsub=support"><?php _e('more', 'imdb') ?></a>.</div>
			</td>
		</tr>
		<tr>
			<td><div class="explain"> &copy; 2005-09 <a href="<?php echo IMDBHOMEPAGE; ?>">Prometheus Group</a></div>
			</td>
		</tr>
	</table>
	</div>
<?php
} 

?>
